%define	major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

# disable when bootstrapping to build without swig
%bcond_without bootstrap

Summary:	Color management library
Name:		lcms
Version:	1.19
%define subrel	1
Release:	%mkrel 6
License:	MIT
Group:		Graphics
URL:		http://www.littlecms.com/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		lcms-1.19-link.patch
Patch1:		lcms-1.19-buffer-overflows.patch
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	python-devel
%if ! %with bootstrap
BuildRequires:	swig
%endif
BuildRequires:	zlib-devel
Conflicts:	%{mklibname %{name} 1}-devel < 1.16

%description
Little cms is a color management library. Implements fast transforms between
ICC profiles. It is focused on speed, and is portable across several platforms.

%package -n	%{libname}
Summary:	The Shared library for "Little cms"
Group:          System/Libraries
Provides:	liblcms = %{version}
Obsoletes:	liblcms

%description -n	%{libname}
Little cms is a color management library. Implements fast transforms between
ICC profiles. It is focused on speed, and is portable across several platforms.

This package provides the shared lcms library.

%package -n	%{develname}
Summary:	Static library and header files for the "Little cms" library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	%{mklibname %{name} 1}-devel = %{version}
Obsoletes:	%{name}-devel
Obsoletes:	%{mklibname %{name} 1}-devel
Requires:	%{libname} = %{version}

%description -n	%{develname}
Little cms is a color management library. Implements fast transforms between
ICC profiles. It is focused on speed, and is portable across several platforms.

This package contains the static lcms library and its header files.

%package -n	python-lcms
Summary:	Python bindings for the lcms color management engine
Group:		Development/Python

%description -n	python-lcms
python-lcms is a Python module that interfaces to the lcms color management
engine.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

# fix attribs
chmod 644 doc/* matlab/* AUTHORS COPYING NEWS README.1ST python/testbed/*

%build

%configure2_5x \
    --with-python --disable-static

%if ! %with bootstrap
# regenerate the swig shit
pushd python
    ./swig_lcms
popd
%endif

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

# cleanup
find %{buildroot} -name '*.la' -delete

%files
%doc doc/* matlab/*.pdf
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS COPYING NEWS README.1ST
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lcms.pc

%files -n python-lcms
%doc python/testbed/*
%{py_platsitedir}/lcms.py
%{py_platsitedir}/_lcms.so


%changelog
* Wed Aug 21 2013 luigiwalser <luigiwalser> 1.19-6.1.mga2
+ Revision: 469186
- add patch from redhat to fix buffer overflows (CVE-2013-4276, rhbz#991757)

  + fwang <fwang>
    - more patch
    - fix linkage
    - rebuild for new libtiff

* Tue Jan 18 2011 pterjan <pterjan> 1.19-5.mga2
+ Revision: 21792
- Rebuild for python 2.7

  + ahmad <ahmad>
    - drop old/uneeded scriptlets
    - bootstrap to build without swig
    - imported package lcms

